import 'package:flutter/material.dart';
import 'Views/loginPage.dart';

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);
  
  static bool isRegisterOpen = false;
  static DateTime? startDate;
  
  static const Gradient primaryGradient = LinearGradient(
    colors: [
      Colors.white,
      Color.fromARGB(255, 4, 54, 95),
    ],
    begin: Alignment.topLeft,
    end: Alignment.bottomRight,
  );

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'GUYCOM',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        canvasColor: Colors.transparent,
      ),
      home: Container(
        decoration: const BoxDecoration(
          gradient: MyApp.primaryGradient,
        ),
        child: const LoginPage(),
      ),
    );
  }
}